# Gimp.param_spec_palette

    @accepts(unicode, unicode, unicode, bool, Gimp.Palette, bool, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def param_spec_palette(name, nick, blurb, none_ok, default_value, default_to_context, flags):
        # Python wrapper for gimp_param_spec_palette()

Creates a new #GimpParamSpecPalette specifying a [type@Palette] property. See also [func@Gimp.param_spec_resource].

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

none_ok

  Whether None is a valid value.

default_value

  Default palette.

default_to_context

  Whether the context is the context's palette.

flags

  Flags for the property specified.

Returns